Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`protocols`.`jabber`.`xmlstream``

module documentation
(source)

XMPP XML Streams

Building blocks for setting up XML Streams, including helping classes for doing authentication on either client or server side, and working with XML Stanzas.

Class | `Authenticator` | Base class for business logic of initializing an XmlStream
Class | `BaseFeatureInitiatingInitializer` | Base class for initializers with a stream feature.
Class | `ConnectAuthenticator` | Authenticator for initiating entities.
Class | `IQ` | Wrapper for an iq stanza.
Class | `ListenAuthenticator` | Authenticator for receiving entities.
Class | `StreamManager` | Business logic representing a managed XMPP connection.
Class | `TLSInitiatingInitializer` | TLS stream initializer for the initiating entity.
Class | `XmlStream` | XMPP XML Stream protocol handler.
Class | `XmlStreamFactory` | Factory for Jabber XmlStream objects as a reconnecting client.
Class | `XmlStreamServerFactory` | Factory for Jabber XmlStream objects as a server.
Class | `XMPPHandler` | XMPP protocol handler.
Class | `XMPPHandlerCollection` | Collection of XMPP subprotocol handlers.
Exception | `FeatureNotAdvertized` | Exception indicating a stream feature was not advertized, while required by the initiating entity.
Exception | `TimeoutError` | Exception raised when no IQ response has been received before the configured timeout.
Exception | `TLSError` | TLS base exception.
Exception | `TLSFailed` | Exception indicating failed TLS negotiation
Exception | `TLSNotSupported` | Exception indicating missing TLS support.
Exception | `TLSRequired` | Exception indicating required TLS negotiation.
Function | `hashPassword` | Create a SHA1-digest string of a session identifier and password.
Function | `toResponse` | Create a response stanza from another stanza.
Function | `upgradeWithIQResponseTracker` | Enhances an XmlStream for iq response tracking.
Constant | `INIT_FAILED_EVENT` | Token dispatched by `Authenticator` when the stream has failed to be initialized
Constant | `NS_STREAMS` | Undocumented
Constant | `NS_XMPP_TLS` | Undocumented
Constant | `STREAM_AUTHD_EVENT` | Token dispatched by `Authenticator` when the stream has been completely initialized
Constant | `STREAM_CONNECTED_EVENT` | This event signals that the connection has been established.
Constant | `STREAM_END_EVENT` | This event signals that the connection has been closed.
Constant | `STREAM_ERROR_EVENT` | This event signals that a parse error occurred.
Constant | `STREAM_START_EVENT` | This event signals that the root element of the XML Stream has been received. For XMPP, this would be the `<stream:stream ...>` opening tag.
Variable | `Reset` | Token to signal that the XML stream has been reset.

def hashPassword(sid, password): (source)

Create a SHA1-digest string of a session identifier and password.

Parameters
sid:`unicode`. | The stream session identifier.
password:`unicode`. | The password to be hashed.

def toResponse(stanza, stanzaType=None): (source)

Create a response stanza from another stanza.

This takes the addressing and id attributes from a stanza to create a (new, empty) response stanza. The addressing attributes are swapped and the id copied. Optionally, the stanza type of the response can be specified.

Parameters
stanza:`domish.Element` | the original stanza
stanzaType:`str` | optional response stanza type
Returns
`domish.Element` | the response stanza.

def upgradeWithIQResponseTracker(xs): (source)

Enhances an XmlStream for iq response tracking.

This makes an `XmlStream` object provide `IIQResponseTracker`. When a response is an error iq stanza, the deferred has its errback invoked with a failure that holds a `StanzaError` that is easier to examine.

INIT_FAILED_EVENT: `str`. = (source)

Token dispatched by `Authenticator` when the stream has failed to be initialized

Value

    intern('//event/xmpp/initfailed')

NS_STREAMS: `str` = (source)

Undocumented

Value

    'http://etherx.jabber.org/streams'

NS_XMPP_TLS: `str` = (source)

Undocumented

Value

    'urn:ietf:params:xml:ns:xmpp-tls'

STREAM_AUTHD_EVENT: `str`. = (source)

Token dispatched by `Authenticator` when the stream has been completely initialized

Value

    intern('//event/stream/authd')

STREAM_CONNECTED_EVENT: `str`. = (source)

This event signals that the connection has been established.

Value

    intern('//event/stream/connected')

STREAM_END_EVENT: `str`. = (source)

This event signals that the connection has been closed.

Value

    intern('//event/stream/end')

STREAM_ERROR_EVENT: `str`. = (source)

This event signals that a parse error occurred.

Value

    intern('//event/stream/error')

STREAM_START_EVENT: `str`. = (source)

This event signals that the root element of the XML Stream has been received. For XMPP, this would be the `<stream:stream ...>` opening tag.

Value

    intern('//event/stream/start')

Reset: Basic object. = (source)

Token to signal that the XML stream has been reset.